%global momorel 1

Summary:	Archive-Tar Perl module
Name:		perl-Archive-Tar
Version:	1.52
Release:	%{momorel}m%{?dist}
License:	GPL or Artistic
Group:		Development/Languages
Source0:	http://www.cpan.org/modules/by-module/Archive/Archive-Tar-%{version}.tar.gz
NoSource:	0
URL:		http://www.cpan.org/modules/by-module/Archive/
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildPreReq:	perl >= 5.8.5
BuildPreReq:	perl-Compress-Zlib >= 1.19-6m

%description
Archive-Tar Perl module

%prep
%setup -q -n Archive-Tar-%{version}

%build
CFLAGS="%optflags" perl Makefile.PL INSTALLDIRS=vendor
make


%install
rm -rf	%{buildroot}
make install PERL_INSTALL_ROOT=%{buildroot}
rm -f %{buildroot}%{perl_vendorarch}/auto/Archive/Tar/.packlist

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_bindir}/ptar
%{_bindir}/ptardiff
%{_mandir}/man?/*
%{perl_vendorlib}/Archive/Tar
%{perl_vendorlib}/Archive/Tar.pm

%changelog
* Sun Jun 14 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (1.52-1m)
- update to 1.52

* Sat Jun 13 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (1.50-1m)
- update to 1.50

* Sat Apr 25 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (1.48-1m)
- update to 1.48

* Sun Mar  8 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (1.46-1m)
- update to 1.46

* Mon Feb  9 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (1.44-1m)
- update to 1.44

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.42-2m)
- rebuild against rpm-4.6

* Wed Dec 17 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1.42-1m)
- update to 1.42

* Tue Oct 14 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1.40-1m)
- update to 1.40

* Tue Sep  9 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1.39-0.4.1m)
- update to 1.39_04

* Tue Aug 26 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1.39-0.3.1m)
- update to 1.39_03

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.38-2m)
- rebuild against gcc43

* Tue Dec 25 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.38-1m)
- update to 1.38
- including security fix

* Thu Nov 15 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.37-0.1.1m)
- [SECURITY] CVE-2007-4829
- update to 1.37_01

* Sun Sep 16 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.36-1m)
- update to 1.36
- do not use %%NoSource macro

* Thu Aug 16 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.34-1m)
- update to 1.34

* Sun Jun  3 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.32-1m)
- update to 1.32

* Mon Apr 23 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (1.30-2m)
- use vendor

* Sun Aug  6 2006 NARITA Koichi <pulsar@sea.plala.or.jp>
- (1.30-1m)
- update to 1.30

* Sun May 07 2006 NARITA Koichi <pulsar@sea.plala.or.jp>
- (1.29-1m)
- update to 1.29

* Tue Feb 7 2006 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (1.28-1m)
- version 1.28
- built against perl-5.8.8

* Fri Dec 30 2005 Koichi NARITA <pulsar@sea.plala.or.jp>
- (1.26-1m)
- update to 1.26

* Sun Jun 12 2005 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (1.24-1m)
- version up to 1.24
- built against perl-5.8.7

* Sat Aug 21 2004 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (1.08-4m)
- rebuild against perl-5.8.5
- rebuild against perl-Compress-Zlib 1.19-6m

* Sun Jul 11 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (1.08-3m)
- remove Epoch from BuildPrereq

* Thu Mar 25 2004 Toru Hoshina <t@momonga-linux.org>
- (1.08-2m)
- revised spec for rpm 4.2.

* Tue Jan 13 2004 Kazuhiko <kazuhiko@fdiary.net>
- (1.08-1m)

* Sun Nov 16 2003 Kazuhiko <kazuhiko@fdiary.net>
- (0.23-1m)

* Sun Nov  9 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.22-8m)
- rebuild against perl-5.8.2
- rebuild against perl-Compress-Zlib 1.19-5m

* Sat Nov  1 2003 Kazuhiko <kazuhiko@fdiary.net>
- (0.22-7m)
- rebuild against perl-5.8.1

* Wed Oct 29 2003 Masaru SANUKI <sanuki@hh.iij4u.or.jp>
- (0.22-6m)
- adapt the License: preamble for the Momonga Linux license
  expression unification policy (draft)
- add %%{momorel}

* Sun Nov 24 2002 Kazuhiko <kazuhiko@fdiary.net>
- (0.22-5m)
- rebuild against perl-5.8.0

* Thu Feb 28 2002 YAMAGUCHI Kenji <yamk@kondara.org>
- (0.22-4k)
- delete perllocal.pod
- PreReq and BuildPreReq perl-Compress-Zlib
- use perl_sitelib macros

* Mon Feb 24 2002 Shingo Akagaki <dora@kondara.org>
- (0.22-2k)
- create
